> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Recurring Resident Charge: Propertyware

POST https://api.propexo.com/v1/recurring-resident-charges/propertyware/
Content-Type: application/json

Create Recurring Resident Charge: Propertyware| Method      |
| ----------- |
| updateLease |Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Reference: https://docs.propexo.com/api-reference/propertyware-soap/billing-and-payments/create-recurring-resident-charge-propertyware

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_recurring-resident-charges_propertyware__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `lease_id` (string, required) — The Propexo unique identifier for the lease
- `financial_account_id` (string, required) — The Propexo unique identifier for the financial account
- `is_active` (boolean, required) — Whether the recurring resident charge is active
- `amount_in_cents` (integer, required) — The amount of the recurring resident charge, in cents
- `description` (string, required) — Description of the recurring resident charge
- `charge_due_day` (integer, required) — The day of the month the charge is due
- `start_date` (V1RecurringResidentChargesPropertywarePostInputStartDate, required) — The start date associated with the recurring resident charge
- `frequency_normalized` (enum, required) — The frequency of the recurring resident charge
  - Allowed values: `MONTHLY`, `WEEKLY`
- `end_date` (V1RecurringResidentChargesPropertywarePostInputEndDate, optional) — The end date associated with the recurring resident charge
- `reference_number` (string, optional) — The reference number for the recurring resident charge

## Response

### 200

Successful response

- `meta` (V1RecurringResidentChargesPropertywarePostOutputMeta, required)
- `result` (V1RecurringResidentChargesPropertywarePostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1RecurringResidentChargesPropertywarePostInputStartDate

The start date associated with the recurring resident charge

### V1RecurringResidentChargesPropertywarePostInputEndDate

The end date associated with the recurring resident charge

### V1RecurringResidentChargesPropertywarePostOutputMeta

- `job_id` (string, required)

### V1RecurringResidentChargesPropertywarePostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `lease_id` (string, required) — The Propexo unique identifier for the lease
- `financial_account_id` (string, required) — The Propexo unique identifier for the financial account
- `is_active` (boolean, required) — Whether the recurring resident charge is active
- `amount_in_cents` (integer, required) — The amount of the recurring resident charge, in cents
- `description` (string, required) — Description of the recurring resident charge
- `charge_due_day` (integer, required) — The day of the month the charge is due
- `start_date` (V1RecurringResidentChargesPropertywarePostOutputResultStartDate, required, nullable)
- `end_date` (V1RecurringResidentChargesPropertywarePostOutputResultEndDate, required, nullable) — The end date associated with the recurring resident charge
- `frequency_normalized` (enum, required) — The frequency of the recurring resident charge
  - Allowed values: `MONTHLY`, `WEEKLY`
- `reference_number` (string, required, nullable) — The reference number for the recurring resident charge

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1RecurringResidentChargesPropertywarePostOutputResultStartDate

### V1RecurringResidentChargesPropertywarePostOutputResultEndDate

The end date associated with the recurring resident charge

## Examples

**Request**

```json
{
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "lease_id": "lease-1234567890abcdef",
  "financial_account_id": "finacct-0987654321fedcba",
  "is_active": true,
  "amount_in_cents": 125000,
  "description": "Monthly Parking Fee",
  "charge_due_day": 5,
  "start_date": "2024-01-15T09:30:00Z",
  "frequency_normalized": "MONTHLY"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-20240615-abcdef123456"
  },
  "result": {
    "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
    "lease_id": "lease-1234567890abcdef",
    "financial_account_id": "finacct-0987654321fedcba",
    "is_active": true,
    "amount_in_cents": 125000,
    "description": "Monthly Parking Fee",
    "charge_due_day": 5,
    "start_date": "2024-01-15T09:30:00Z",
    "end_date": "2025-01-14",
    "frequency_normalized": "MONTHLY",
    "reference_number": "REF-20240115-0001"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/recurring-resident-charges/propertyware/"

payload = {
    "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
    "lease_id": "lease-1234567890abcdef",
    "financial_account_id": "finacct-0987654321fedcba",
    "is_active": True,
    "amount_in_cents": 125000,
    "description": "Monthly Parking Fee",
    "charge_due_day": 5,
    "start_date": "2024-01-15T09:30:00Z",
    "frequency_normalized": "MONTHLY"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/recurring-resident-charges/propertyware/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg-9f8b7c6d5e4a3b2c1d0e","lease_id":"lease-1234567890abcdef","financial_account_id":"finacct-0987654321fedcba","is_active":true,"amount_in_cents":125000,"description":"Monthly Parking Fee","charge_due_day":5,"start_date":"2024-01-15T09:30:00Z","frequency_normalized":"MONTHLY"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/recurring-resident-charges/propertyware/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"lease_id\": \"lease-1234567890abcdef\",\n  \"financial_account_id\": \"finacct-0987654321fedcba\",\n  \"is_active\": true,\n  \"amount_in_cents\": 125000,\n  \"description\": \"Monthly Parking Fee\",\n  \"charge_due_day\": 5,\n  \"start_date\": \"2024-01-15T09:30:00Z\",\n  \"frequency_normalized\": \"MONTHLY\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/recurring-resident-charges/propertyware/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"lease_id\": \"lease-1234567890abcdef\",\n  \"financial_account_id\": \"finacct-0987654321fedcba\",\n  \"is_active\": true,\n  \"amount_in_cents\": 125000,\n  \"description\": \"Monthly Parking Fee\",\n  \"charge_due_day\": 5,\n  \"start_date\": \"2024-01-15T09:30:00Z\",\n  \"frequency_normalized\": \"MONTHLY\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/recurring-resident-charges/propertyware/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"lease_id\": \"lease-1234567890abcdef\",\n  \"financial_account_id\": \"finacct-0987654321fedcba\",\n  \"is_active\": true,\n  \"amount_in_cents\": 125000,\n  \"description\": \"Monthly Parking Fee\",\n  \"charge_due_day\": 5,\n  \"start_date\": \"2024-01-15T09:30:00Z\",\n  \"frequency_normalized\": \"MONTHLY\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/recurring-resident-charges/propertyware/', [
  'body' => '{
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "lease_id": "lease-1234567890abcdef",
  "financial_account_id": "finacct-0987654321fedcba",
  "is_active": true,
  "amount_in_cents": 125000,
  "description": "Monthly Parking Fee",
  "charge_due_day": 5,
  "start_date": "2024-01-15T09:30:00Z",
  "frequency_normalized": "MONTHLY"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/recurring-resident-charges/propertyware/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"lease_id\": \"lease-1234567890abcdef\",\n  \"financial_account_id\": \"finacct-0987654321fedcba\",\n  \"is_active\": true,\n  \"amount_in_cents\": 125000,\n  \"description\": \"Monthly Parking Fee\",\n  \"charge_due_day\": 5,\n  \"start_date\": \"2024-01-15T09:30:00Z\",\n  \"frequency_normalized\": \"MONTHLY\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "lease_id": "lease-1234567890abcdef",
  "financial_account_id": "finacct-0987654321fedcba",
  "is_active": true,
  "amount_in_cents": 125000,
  "description": "Monthly Parking Fee",
  "charge_due_day": 5,
  "start_date": "2024-01-15T09:30:00Z",
  "frequency_normalized": "MONTHLY"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/recurring-resident-charges/propertyware/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```